<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

$desde=$_GET['desde'];
$hasta=$_GET['hasta'];
$empleados=$_GET['empleados'];


$hasta1 = strtotime($hasta."+ 1 days");
date("Y-m-d",$hasta1) . "\n";
$hastaf=date("Y-m-d",$hasta1) . "\n";

$query=mysqli_query($con,"SELECT * FROM dian_nomina where nom_fecha  BETWEEN '$desde' and '$hastaf' and empresa='$empresa' and nom_estado='Aprobada' and nom_emp_id='$empleados'") or die(mysqli_error($con));


$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
//Table with 20 rows and 4 columns

$pdf->Cell(0,10,'NOMINA DESDE '.$desde. ' HASTA ' .$hastaf,0,1);
$pdf->SetFont('Arial','',7);

 $roww=mysqli_fetch_array($query);

    $nom_id=$roww['nom_id'];
    $nom_fecha_inicio=$roww['nom_fecha_inicio'];
    $nom_fecha_fin=$roww['nom_fecha_fin'];
    $nom_emp_id=$roww['nom_emp_id'];

    $datos=mysqli_query($con,"SELECT * FROM empleados WHERE emp_id='$nom_emp_id' and empresa='$empresa'") ;
    $fila=mysqli_fetch_array($datos);

    $emp_nombre=$fila['emp_nombre'];
    $emp_primer_apellido=$fila['emp_primer_apellido'];
    $emp_segundo_apellido=$fila['emp_segundo_apellido'];
    $emp_cc=$fila['emp_cc'];

    $pdf->SetFillColor(215,235,2415);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(95,6,utf8_decode($emp_nombre.' '.$emp_primer_apellido.' '.$emp_segundo_apellido),1,0,'C',1);
            $pdf->Cell(95,6,'C.C. '.$emp_cc,1,0,'C',1);
            $pdf->Ln();

            $pdf->SetFillColor(235,225,215);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(35,6,'PERIODO PAGO',1,0,'C',1);
            $pdf->Cell(25,6,'SALARIO',1,0,'C',1);
            $pdf->Cell(25,6,'CESANTIAS',1,0,'C',1);
            $pdf->Cell(30,6,'INT. SOBRE CESAN.',1,0,'C',1);
            $pdf->Cell(25,6,'PRI. SERVICIO',1,0,'C',1);
            $pdf->Cell(25,6,'VACACIONES',1,0,'C',1);
            $pdf->Cell(25,6,'DEDUCCIONES',1,0,'C',1);
            $pdf->Ln();

$total_salario=0;
$total_deducciones=0;
$total_vacaciones=0;
$total_cesantias=0;
$total_interes_cesantia=0;
$total_prima=0;

while ($roww=mysqli_fetch_array($query))    
{
   
    $nom_id=$roww['nom_id'];
    $nom_fecha_inicio=$roww['nom_fecha_inicio'];
    $nom_fecha_fin=$roww['nom_fecha_fin'];
    $nom_emp_id=$roww['nom_emp_id'];
    $nom_fecha=$roww['nom_fecha'];

   
    $datos1=mysqli_query($con,"SELECT * FROM dian_nomina_detalle WHERE  nomd_tipo='dev' and nomd_nombre_in='salary' and nom_id='$nom_id'") ;
        $fila1=mysqli_fetch_array($datos1);
        
        $salario=$fila1['nomd_precio'];

        $datos2=mysqli_query($con,"SELECT * FROM dian_nomina_detalle WHERE  nomd_tipo='dev' and nomd_nombre_in='transportation_allowance' and nom_id='$nom_id'") ;
        $fila2=mysqli_fetch_array($datos2);
        
        $auxilio=$fila2['nomd_precio'];
            

        $salario_total=$salario+$auxilio;

        $cesantias=$salario_total*0.0833;

        $interes_cesantia=$salario_total*0.01;

        $prima=$salario_total*0.0833;

        $vacaciones=$salario*0.0417;

   
        $datos3=mysqli_query($con,"SELECT * FROM dian_nomina_detalle WHERE  nomd_tipo='ded' and nomd_nombre_in='eps_deduction' and nom_id='$nom_id'") ;
            $fila3=mysqli_fetch_array($datos3);
            
            $eps=$fila3['nomd_precio'];

        $datos4=mysqli_query($con,"SELECT * FROM dian_nomina_detalle WHERE  nomd_tipo='ded' and nomd_nombre_in='eps_deduction' and nom_id='$nom_id'") ;
            $fila4=mysqli_fetch_array($datos4);
            
            $pension=$fila4['nomd_precio'];

            $deducciones=$pension+$eps;


        $pdf->SetWidths(array(35,25,25,30,25,25,25));
        srand(time()*1000000);
        $pdf->Row(array($nom_fecha_inicio.' - '.$nom_fecha_fin,number_format($salario_total,0),number_format($cesantias,0),number_format($interes_cesantia,0),number_format($prima,0),number_format($vacaciones,0),number_format($deducciones,0)));

        $total_salario+=$salario_total;
        $total_cesantias+=$cesantias;
        $total_interes_cesantia+=$interes_cesantia;
        $total_prima+=$prima;
        $total_vacaciones+=$vacaciones;
        $total_deducciones+=$deducciones;


}



$pdf->SetFillColor(239,215,025);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(35,6,'TOTALES',1,0,'R',1);
$pdf->Cell(25,6,number_format($total_salario,0),1,0,'C',1);
$pdf->Cell(25,6,number_format($total_cesantias,0),1,0,'C',1);
$pdf->Cell(30,6,number_format($total_interes_cesantia,0),1,0,'C',1);
$pdf->Cell(25,6,number_format($total_prima,0),1,0,'C',1);
$pdf->Cell(25,6,number_format($total_vacaciones,0),1,0,'C',1);
$pdf->Cell(25,6,number_format($total_deducciones,0),1,0,'C',1);
$pdf->Ln();
$pdf->Output();

?>
